Skip to main content
POST
/
api
/
v1
/
task
/
workspaces
/
{workspaceId}
/
tasks
/
catalog
Get Tasks by Workspace ID
curl --request POST \
  --url https://api.xenia.team/api/v1/task/workspaces/{workspaceId}/tasks/catalog \
  --header 'Content-Type: application/json' \
  --header 'x-client-key: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "searchText": "inspection",
  "offset": 0,
  "limit": 50
}
'
import requests

url = "https://api.xenia.team/api/v1/task/workspaces/{workspaceId}/tasks/catalog"

payload = {
"searchText": "inspection",
"offset": 0,
"limit": 50
}
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({searchText: 'inspection', offset: 0, limit: 50})
};

fetch('https://api.xenia.team/api/v1/task/workspaces/{workspaceId}/tasks/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "counts": [
      {
        "group": "<string>",
        "count": 123
      }
    ],
    "tasks": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "taskStatus": "<string>",
        "priority": "<string>",
        "dueDate": "2023-11-07T05:31:56Z",
        "startDate": "2023-11-07T05:31:56Z",
        "assignees": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "AssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "LocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "ChecklistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "ProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "apiTime": {
      "count": 123,
      "list": 123,
      "total": 123
    }
  },
  "meta": {}
}

Authorizations

x-client-key
string
header
required
x-client-secret
string
header
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"cb363f7e-c52a-4478-911d-f6a6f791090e"

Body

application/json
searchText
string
Example:

"inspection"

offset
integer
Example:

0

limit
integer
Example:

50

groupBy
enum<string>
Available options:
,
taskStatus,
assignees,
AssetId,
LocationId,
priority,
templateSource
advanceFilters
object

Response

Successful response with task data and count grouping

data
object
meta
object